Skip to main content
Statistic and Management/Model Platform Config APIs
POSTModel Platform Config APIsSince 5.1.20SynchronousAuth Required

SyncAINginxConfiguration

SyncAINginxConfiguration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramObjectRequired

    param request body object.

    • groupUuidsList

      组UUID。

    • dryRunBoolean

      是否仅模拟执行而不实际应用变更。

    • syncAllBoolean

      同步全部。

  • systemTagsList

    System tag

  • userTagsList

    User tag

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If this field is not null, the operation failed. If the operation succeeded, this field is null. For details, see error

    • codeStringRequired

      Error code number, which is the globally unique identifier of the error, such as SYS.1000 or HOST.1001

    • descriptionStringRequired

      Summary description of the error

    • detailsStringRequired

      Error details

    • elaborationStringRequired

      Reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null

    • causeErrorCodeRequired

      Root error, which is the source error that caused the current error. If no source error exists, this field is null

  • unSyncedRulesListRequired

    For details, see unSyncedRules

    • destUrlStringRequired

      Destination URL for redirection

    • uuidStringRequired

      The resource UUID, which uniquely identifies the resource

    • jupyterUrlStringRequired

      Redirected Jupyter URL

    • currentUrlStringRequired

      Current URL

    • currentJupyterUrlStringRequired

      Current Jupyter URL

Endpoint

POST/zstack/v1/ai/nginx/sync

/zstack/v1/ai/nginx/sync

Operation ID

SyncAINginxConfiguration

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ai/nginx/sync' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"param":{"groupUuids":["<groupUuids>"],"dryRun":true,"syncAll":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "unSyncedRules": [] }

Change History

This API has no change history records yet.

View all change history